Summary:	AVR libc
Summary(pl.UTF-8):	libc na AVR
Name:		crossavr-libc
Version:	1.8.0
Release:	2
Epoch:		1
License:	Modified BSD (see included LICENSE)
Group:		Development/Tools
Patch0:		%{name}-builtins.patch
Source0:	http://download.savannah.gnu.org/releases/avr-libc/avr-libc-%{version}.tar.bz2
# Source0-md5:	54c71798f24c96bab206be098062344f
Source1:	http://download.savannah.gnu.org/releases/avr-libc/avr-libc-user-manual-%{version}.tar.bz2
# Source1-md5:	d8a02a987cc0ea447348e0b6a08ab679
Source2:	http://download.savannah.gnu.org/releases/avr-libc/avr-libc-manpages-%{version}.tar.bz2
# Source2-md5:	35af895d775015731b77d027a9e07cca
URL:		http://www.nongnu.org/avr-libc/
BuildRequires:	crossavr-binutils >= 2.14
BuildRequires:	crossavr-gcc >= 1:3.3
Requires:	crossavr-gcc >= 1:3.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		avr
%define		arch		%{_prefix}/%{target}

%define		__strip		%{target}-strip

%description
Contains the standard C library for Atmel AVR microcontrollers.

%description -l pl.UTF-8
Pakiet zawiera standardową bibliotekę C dla mikrokontrolerów Atmel
AVR.

%prep
%setup -q -n avr-libc-%{version} -a1 -a2
%patch0 -p0

%build

CFLAGS="%{rpmcflags}" \
CXXFLAGS="%{rpmcflags}" \
./configure \
	--prefix=%{_prefix} \
	--build=%{_target_platform} \
	--host=%{target}
%{__make} \
	DOC_INST_DIR="%{_datadir}/%{name}-%{version}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -rf doc/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -rf man $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
rm -rf $RPM_BUILD_ROOT%{_docdir}/avr-libc-%{version}/examples

%if 0%{!?debug:1}
%{target}-strip -g $RPM_BUILD_ROOT%{arch}/lib/*.[oa] \
	$RPM_BUILD_ROOT%{arch}/lib/avr?/*.[oa]
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc avr-libc-user-manual-%{version}/ ChangeLog LICENSE README NEWS
%attr(755,root,root) %{_bindir}/*
%dir %{arch}/include
%{arch}/include/*.h
%dir %{arch}/include/avr
%{arch}/include/avr/*.h
%dir %{arch}/include/compat
%{arch}/include/compat/*.h
%dir %{arch}/include/util
%{arch}/include/util/*.h
%{arch}/lib/*.[oa]
%dir %{arch}/lib/avr*
%{arch}/lib/avr*/*.[oa]
%{_datadir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}
%changelog
* Tue Aug 14 2012 Piotr Ziecik <kosmo@angel.net.pl> f839c66
crossavr-libc: Bumped release to recompile with updated toolchain.

* Sun Feb 19 2012 kosmo <kosmo@pld-linux.org> 17925c4
- updated to 1.8.0

* Sat Jun 18 2011 bszx <bszx@pld-linux.org> 4c7e984
- updated to 1.7.1

* Thu Oct 07 2010 kosmo <kosmo@pld-linux.org> 968a137
- updated to 1.7.0

* Sun Mar 21 2010 bszx <bszx@pld-linux.org> 4e0b8e4
- updated to 1.6.8

* Mon Oct 12 2009 bszx <bszx@pld-linux.org> 429bb84
- updated to 1.6.7

* Sun Apr 05 2009 kosmo <kosmo@pld-linux.org> ea009d2
- patches from WinAVR project (http://winavr.sourceforge.net).

* Sun Apr 05 2009 kosmo <kosmo@pld-linux.org> d354423
- updated to 1.6.5
- added patches from WinAVR project (http://winavr.sourceforge.net).

* Fri May 02 2008 kosmo <kosmo@pld-linux.org> e1fbf37
- updated to 1.6.2
- fixed strip

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> b959b60
- drop no_install_post_strip (not reasoned)

* Wed Jan 09 2008 bszx <bszx@pld-linux.org> b47f091
- updated to 1.6.1

* Wed Sep 12 2007 Bartłomiej Zimoń <cactus@pld-linux.org> 1faab64
- up to 1.4.6 and add directory avr25 to rpm

* Mon Apr 09 2007 Elan Ruusamäe <glen@pld-linux.org> 66810a3
- fix changelog entry

* Mon Apr 09 2007 Elan Ruusamäe <glen@pld-linux.org> 9919c93
- check-files cleanup

* Mon Apr 09 2007 Elan Ruusamäe <glen@pld-linux.org> 120f901
- adapter

* Mon Apr 09 2007 Elan Ruusamäe <glen@pld-linux.org> 4e65193
- 1.4.5

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 47c3745
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e90d198
- converted to UTF-8

* Fri May 19 2006 bszx <bszx@pld-linux.org> f79bce3
- updated to 1.4.4

* Sat Jan 14 2006 yogib <yogib@pld-linux.org> 3609409
- up to 1.4.2

